claw::system_info Class Reference

A class to get some informations about the system in which your program runs. More...

`#include <system_info_unix.hpp>`

## Static Public Member Functions

static std::string | get_user_name ()
| Get the name of the user (the name used for the connection).
static std::string | get_user_directory ()
| Get the path of the user's personnal directory.
template<typename Sequence>
static void | get_path (Sequence &path)
| Get system's paths.
static std::string | get_host_name ()
| Get the name of out host.
static std::string | get_temporary_directory ()
| Get the path of the directory used by the system to save temporary files.
static std::string | get_environment (const std::string &var)
| Get an environment variable.
static std::string | get_user_name ()
| Get the name of the user (the name used for the connection).
static std::string | get_user_directory ()
| Get the path of the user's personnal directory.
template<typename Sequence>
static void | get_path (Sequence &path)
| Get system's paths.
static std::string | get_host_name ()
| Get the name of our host.
static std::string | get_temporary_directory ()
| Get the path of the directory used by the system to save temporary files.
static std::string | get_environment (const std::string &var)
| Get an environment variable.

## Detailed Description

A class to get some informations about the system in which your program runs.

Author
  Julien Jorge

Definition at line 44 of file system_info_unix.hpp.

## Member Function Documentation

## get_environment() [1/2]

std::string claw::system_info::get_environment | ( | const std::string & | var | ) |

inline static

Get an environment variable.

Parameters

  var | The name of the variable to get.

Definition at line 104 of file system_info_unix.hpp.

Referenced by get_host_name(), get_temporary_directory(), get_user_directory(), and get_user_name().

## get_environment() [2/2]

std::string claw::system_info::get_environment | ( | const std::string & | var | ) |

inline static

Get an environment variable.

Parameters

  var | The name of the variable to get.

Definition at line 99 of file system_info_win32.hpp.

## get_host_name() [1/2]

std::string claw::system_info::get_host_name | ( |  | ) |

inline static

Get the name of out host.

Definition at line 84 of file system_info_unix.hpp.

References get_environment().

## get_host_name() [2/2]

std::string claw::system_info::get_host_name | ( |  | ) |

inline static

Get the name of our host.

Definition at line 79 of file system_info_win32.hpp.

References get_environment().

## get_path() [1/2]

template<typename Sequence>

void claw::system_info::get_path | ( | Sequence & | path | ) |

inline static

Get system's paths.

Definition at line 75 of file system_info_unix.hpp.

## get_path() [2/2]

template<typename Sequence>

void claw::system_info::get_path | ( | Sequence & | path | ) |

inline static

Get system's paths.

Definition at line 70 of file system_info_win32.hpp.

## get_temporary_directory() [1/2]

std::string claw::system_info::get_temporary_directory | ( |  | ) |

inline static

Get the path of the directory used by the system to save temporary files.

Definition at line 94 of file system_info_unix.hpp.

References get_environment().

## get_temporary_directory() [2/2]

std::string claw::system_info::get_temporary_directory | ( |  | ) |

inline static

Get the path of the directory used by the system to save temporary files.

Definition at line 89 of file system_info_win32.hpp.

References get_environment().

## get_user_directory() [1/2]

std::string claw::system_info::get_user_directory | ( |  | ) |

inline static

Get the path of the user's personnal directory.

Definition at line 65 of file system_info_unix.hpp.

References get_environment().

## get_user_directory() [2/2]

std::string claw::system_info::get_user_directory | ( |  | ) |

inline static

Get the path of the user's personnal directory.

Definition at line 60 of file system_info_win32.hpp.

References get_environment().

## get_user_name() [1/2]

std::string claw::system_info::get_user_name | ( |  | ) |

inline static

Get the name of the user (the name used for the connection).

Definition at line 51 of file system_info_unix.hpp.

References get_environment().

## get_user_name() [2/2]

std::string claw::system_info::get_user_name | ( |  | ) |

inline static

Get the name of the user (the name used for the connection).

Definition at line 51 of file system_info_win32.hpp.

References get_environment().

The documentation for this class was generated from the following files:

- system_info_unix.hpp
- system_info_win32.hpp